Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.parser
Class LengthParser

    java.lang.Object
      org.apache.batik.parser.AbstractParser
          org.apache.batik.parser.LengthParser

All Implemented Interfaces:
  Localizable, Parser

Direct Known Subclasses:
  LengthListParser

    public class LengthParser

extends AbstractParser

This class implements an event-based parser for the SVG length values.

Field Summary
`protected LengthHandler` | `lengthHandler` The length handler used to report parse events.

Fields inherited from class org.apache.batik.parser.AbstractParser
`BUNDLE_CLASSNAME, current, errorHandler, localizableSupport, reader`

Constructor Summary
`LengthParser()` Creates a new LengthParser.

Method Summary
`protected void` | `doParse()` Method responsible for actually parsing data after AbstractParser has initialized itself.
`LengthHandler` | `getLengthHandler()` Returns the length handler in use.
`protected void` | `parseLength()` Parses a length value.
`void` | `setLengthHandler(LengthHandler handler)` Allows an application to register a length handler.

Methods inherited from class org.apache.batik.parser.AbstractParser
`createErrorMessage, formatMessage, getBundleClassName, getCurrent, getLocale, parse, parse, parse, reportCharacterExpectedError, reportError, reportUnexpectedCharacterError, setErrorHandler, setLocale, skipCommaSpaces, skipSpaces`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lengthHandler

    protected LengthHandler lengthHandler

  The length handler used to report parse events.

Constructor Detail

### LengthParser

    public LengthParser()

  Creates a new LengthParser.

Method Detail

### setLengthHandler

    public void setLengthHandler(LengthHandler handler)

  Allows an application to register a length handler.

  If the application does not register a handler, all events reported by the parser will be silently ignored.

  Applications may register a new or different handler in the middle of a parse, and the parser must begin using the new handler immediately.

  Parameters:
    `handler` - The transform list handler.

### getLengthHandler

    public LengthHandler getLengthHandler()

  Returns the length handler in use.

### doParse

    protected void doParse()
                    throws ParseException,
                           IOException

  Description copied from class: `AbstractParser`
  Method responsible for actually parsing data after AbstractParser has initialized itself.

  Specified by:
    `doParse` in class `AbstractParser`
  Throws:
    `ParseException`
    `IOException`

### parseLength

    protected void parseLength()
                        throws ParseException,
                               IOException

  Parses a length value.

  Throws:
    `ParseException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.